%define is_release 1
%define CVS 20011206
%define rel 4.2.legacy
Summary: A free video player.
Name: xine
Version: 0.9.8
%if %{is_release}
Source0: http://xine.sourceforge.net/files/%{name}-lib-%{version}.tar.bz2
Source1: http://xine.sourceforge.net/files/%{name}-ui-%{version}.tar.bz2
Release: %{rel}
%else
Source0: http://xine.sourceforge.net/files/%{name}-lib-%{CVS}.tar.bz2
Source1: http://xine.sourceforge.net/files/%{name}-ui-%{CVS}.tar.bz2
Release: 0.cvs%{CVS}.%{rel}
%endif
Epoch: 1
License: GPL
Group: Applications/Multimedia
Source2: %{name}.png
Patch: xine-0.9.8-gcc3.patch
Patch10: xine-0.9.8-CAN-2004-0372.patch
Patch11: xine-0.9.8-XSA-2004-5.patch
URL: http://xine.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
Requires: imlib >= 1.9.5, zlib, libpng, XFree86
BuildRequires: perl, zlib-devel, libpng-devel, XFree86-devel >= 4.2.0
BuildRequires: arts-devel, audiofile-devel, esound-devel, libogg-devel
BuildRequires: libvorbis-devel

%description
xine is a free gpl-licensed video player for unix-like systems.
We support mpeg-2 and mpeg-1 system (audio + video multiplexed) streams,
eventually mpeg-4 and other formats might be added.
 
xine plays the video and audio data of mpeg-2 videos and synchronizes
the playback of both. Depending on the properties of the mpeg stream,
playback will need more or less processor power, 100% frame rate
has been seen on a 400 MHz P II system.

%package devel
Summary: Static libraries and header files from the Xine video player.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Static libraries and header files from the Xine video player.

%prep
%if %{is_release}
%setup -q -a 1 -n %{name}-lib-%{version}
%else
%setup -q -a 1 -n %{name}-lib
%endif
%patch -p1 -b .gcc3
%patch10 -p1 -b .can2004-0372
%patch11 -p1 -b .xsa2004-5

%build
rm -rf %{buildroot}
export NO_CONFIGURE=1
%ifarch alpha
perl -pi -e "s,-O3,-O1,g" configure* xine-ui/configure*
%endif
%ifarch ia64
perl -pi -e "s,libw32dll,,g" src/Makefile*
%endif

[ -e configure ] || ./cvscompile.sh
%configure --prefix=%{_prefix} \
            --mandir=%{_mandir} \
            --includedir=%{_includedir} \
            --bindir=%{_bindir} \
            --disable-alsa \
            --disable-asf

# Workaround for a very weird libtool issue
find src -type f |xargs perl -pi -e "s,-lXinerama,/usr/X11R6/lib/libXinerama.a,g;s,-lXv,/usr/X11R6/lib/libXv.a,g"

make CC="gcc -fPIC"
make install DESTDIR=%{buildroot}

# Temp hack to be able to compile the UI
export LD_LIBRARY_PATH="%{buildroot}%{_libdir}:$LD_LIBRARY_PATH"
/sbin/ldconfig || :
export PATH="%{buildroot}%{_bindir}:$PATH"
perl -pi -e '	s|^prefix=.*|prefix=%{buildroot}%{_prefix}|g; \
		s|^exec_prefix=.*|exec_prefix=%{buildroot}%{_prefix}|g; \
		s|%{_includedir}|%{buildroot}%{_includedir}|g; \
		s|%{_libdir}|%{buildroot}%{_libdir}|g; \
		s|%{_datadir}|%{buildroot}%{_datadir}|g' \
	%{buildroot}%{_bindir}/xine-config

%if %{is_release}
pushd %{name}-ui-%{version}
%else
pushd %{name}-ui
%endif
[ -e configure ] || ./cvscompile.sh
%configure --prefix=%{_prefix} \
            --mandir=%{_mandir} \
            --includedir=%{_includedir} \
            --bindir=%{_bindir} \
            --disable-xinetest

make EXEEXT="" OBJEXT="o" CC="gcc -fPIC -I%{buildroot}%{_includedir} -L%{buildroot}%{_libdir}" \
%if %{is_release}
     LDFLAGS="-L$RPM_BUILD_DIR/xine-lib-%{version}/src/xine-engine/.libs -lxine -L$RPM_BUILD_DIR/xine-lib-%{version}/src/xine-utils/.libs -lxineutils"
%else
     LDFLAGS="-L$RPM_BUILD_DIR/xine-lib/src/xine-engine/.libs -lxine -L$RPM_BUILD_DIR/xine-lib/src/xine-utils/.libs -lxineutils"
%endif
make install EXEEXT="" OBJEXT="o" \
     DESTDIR=%{buildroot}
popd

%install
# Fix up stuff "make install" gets wrong
for i in xinetic lcd pitt; do
	mv $RPM_BUILD_ROOT/$i $RPM_BUILD_ROOT/usr/share/xine/skins
done
mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/Multimedia
mv $RPM_BUILD_ROOT/xine.desktop %{buildroot}%{_sysconfdir}/X11/applnk/Multimedia

mkdir -p %{buildroot}%{_datadir}/pixmaps/
mv %{buildroot}/*.{png,xpm} %{buildroot}%{_datadir}/pixmaps/

mv doc/xine-lib-API/html xine-lib-API

# It's about time we end that ugly hack
perl -pi -e '	s|^prefix=.*|prefix=%{_prefix}|g; \
		s|^exec_prefix=.*|exec_prefix=%{_prefix}|g; \
		s|%{buildroot}%{_includedir}|%{_includedir}|g; \
		s|%{buildroot}%{_libdir}|%{_libdir}|g; \
		s|%{buildroot}%{_datadir}|%{_datadir}|g' \
	%{buildroot}%{_bindir}/xine-config

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO doc/FAQ*
%doc doc/MRL.txt doc/README.dxr3 doc/README.xinerc
%{_sysconfdir}/X11/applnk/Multimedia/xine.desktop
%{_bindir}/*
%{_libdir}/lib*.so.*
%dir %{_libdir}/xine
%dir %{_libdir}/xine/plugins
%{_libdir}/xine/plugins/xineplug_*.so
%{_datadir}/xine
%{_datadir}/pixmaps/*
%{_mandir}/man1/*
%lang(fr) %{_mandir}/fr/man1/*

%files devel
%defattr(-, root, root)
%doc doc/xine-lib-API.cfg xine-lib-API
%{_bindir}/xine-config
%{_includedir}/*
%{_libdir}/lib*.so
%dir %{_libdir}/xine
%dir %{_libdir}/xine/plugins
%{_datadir}/idl/*
%{_mandir}/man3/*

%changelog
* Wed Mar  1 2006 Marc Deslauriers <marcdeslauriers@videotron.ca> 1:0.9.8-4.2.legacy
- Added missing arts-devel, audiofile-devel, esound-devel, libogg-devel,
  and libvorbis-devel to BuildRequires

* Wed Jan 12 2005 Pekka Savola <pekkas@netcore.fi> 1:0.9.8-4.1.legacy
- fix CAN-2004-0372 and XSA-2004-5 (#2348)

* Tue Jan 22 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.9.8-3
- Work around libtool/automake bug causing bug #58581

* Mon Jan 21 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.9.8-2
- Don't link to /usr/lib/libxine*, that is likely to be an older version
- Clean up spec file

* Wed Jan 16 2002 Than Ngo <than@redhat.com> 0.9.8-1
- update to 0.9.8
- get rid of asf format
- fix to build with gcc 3

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Dec 18 2001 Than Ngo <than@redhat.com> 0.9.7-1
- update to 0.9.7
- clean up specfile

* Thu Dec  6 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.9.6-99.cvs20011206.1
- Update - current CVS includes my build with autoconf 2.5x fixes
- Add workaround for bug #57212
- Fix build on ia64

* Sat Nov 17 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.9.4-99.cvs20011117.1
- Add possibility to build CVS versions to spec file

* Tue Sep 18 2001 Than Ngo <than@redhat.com> 0.9.2-1
- update to 0.9.2

* Tue Sep 18 2001 Than Ngo <than@redhat.com> 0.9.1-1
- update to 0.9.1

* Mon Sep 17 2001 Than Ngo <<than@redhat.com> 0.9.0-1
- update to 0.9.0

* Thu Sep 13 2001 Than Ngo <than@redhat.com> 0.5.3-1
- update to 0.5.3

* Tue Sep  4 2001 Than Ngo <than@redhat.com>
- build 0.5.2 for ExtraBinge 7.2

* Sat Aug 11 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.5.1.

* Fri Aug 10 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Nothing weird with the package in one whole week, I'll release it :-)

* Mon Aug  6 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.5.0.
- Merged the new "lib" and "ui" sources in the same SRPM and split the
  binaries in a main and a "devel" package.

* Thu May 17 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.4.3.

* Thu May 10 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Changed the spec file to now use XINE_BUILD to override the default
  build arch and use the compilation optimisations chosen by the xine
  authors in the configure script.
- Doesn't work with --arch=athlon though... I wonder why!

* Mon May  7 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.4.2.

* Fri Apr 20 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat 7.1.

* Thu Mar  8 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.4.01.

* Thu Feb 15 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated the DeCSS plugin to the latest 0.1.2 release.
- Added a menu entry since xine is now stable enough to not need to be
  launched in a terminal anymore.

* Wed Jan 31 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 0.3.7 with the subtitles patch to the plugin

* Wed Jan 31 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 0.3.6 with the same plugin

* Sat Jan 13 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Included the DeCSS dvd plugin for 0.3.5

* Wed Jan 10 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- upgraded to 0.3.5

* Mon Jan  8 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- upgraded to 0.3.4
- tweak to configure.in to compile with gcc 2.96

* Tue Jan  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- upgraded to 0.3.3

* Sun Dec 17 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- upgraded to 0.3.2 "complete" :-)
- fixed my files section to include the new skin

* Mon Nov 20 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- cleaned-up the spec file for RedHat 7.0
- added stripping, changed prefix, added docs, added defattr

* Fri Oct 17 2000 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- first spec file.

